List all keys

Lists all keys in the project. This endpoint supports cursor pagination for better performance with large datasets. When using cursor pagination, the response will include a nextCursor value in the response headers when more data is available. Continue making requests with the nextCursor value until no nextCursor is returned, indicating all data has been retrieved.

IMPORTANT: We do not provide a content delivery network for your language files. Do not make a request to this endpoint every time a user visits your website/app. Instead, fetch the results from this endpoint from time to time, store them locally, and serve your visitors with static files/your database content. Alternatively, you may use our File Download endpoint with an Amazon S3/Google CouldStorage integration to automatically upload your language files to a bucket of your choice.

Requires read_keys OAuth access scope.

Path Params
string
required

A unique project identifier

Query Params
number
enum

Whether to disable key references. Possible values are 1 and 0.

Allowed:
number
enum

Whether to include comments. Possible values are 1 and 0.

Allowed:
number
enum

Whether to include URL to screenshots. Possible values are 1 and 0.

Allowed:
number
enum

Whether to include translations. Possible values are 1 and 0.

Allowed:
string

One or more language ID to filter by (comma separated). Will include translations only for listed IDs.

string

One or more tags to filter by (comma separated).

string

One or more filenames to filter by (comma separated).

string

One or more key name to filter by (comma separated). In case "Per-platform keys" is enabled in project settings, the filter will be applied to all platform names.

string

One or more key identifiers to filter by (comma separated).

string

One or more platforms to filter by (comma separated). Possible values are ios, android, web and other.

number
enum

Filter by untranslated keys. Possible values are 1 and 0.

Allowed:
string

One or more QA issues to filter by (comma separated). Possible values are spelling_and_grammar, placeholders, html, url_count, url, email_count, email, brackets, numbers, leading_whitespace, trailing_whitespace, double_space, special_placeholder and unbalanced_brackets.

string
enum

One archived filter. Possible values are include, exclude and only.

Allowed:
string
enum

Type of pagination. Possible values are offset and cursor. The default value is offset. Cursor pagination is performance-optimized and does not count total records or calculate remaining pages. When using cursor pagination, continue making requests until no nextCursor is returned in the response headers.

Allowed:
integer

Number of items to include (max 500).

integer

Return results starting from this page.

string

Return results starting from this cursor. When using cursor pagination, this parameter should contain the nextCursor value from the previous response. Continue pagination until no nextCursor is returned in the response headers.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json